From 646316e9f0d0ec69df5940ab64a764d0190810e4 Mon Sep 17 00:00:00 2001
From: Andre Anjos <andre.dos.anjos@gmail.com>
Date: Fri, 23 Sep 2016 09:41:13 +0200
Subject: [PATCH] Define use_pip

---
 gitlab/before_test.sh | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/gitlab/before_test.sh b/gitlab/before_test.sh
index 7fa37f8..4ea6221 100755
--- a/gitlab/before_test.sh
+++ b/gitlab/before_test.sh
@@ -12,6 +12,15 @@ PREFIX=`pwd`/${CONDA_PREFIX}
 
 run_cmd $(dirname ${0})/before_build.sh
 
+# Verify where pip is installed
+use_pip=`which pip`
+if [ -z "${use_pip}" ]; then
+  log_error "Cannot find pip, aborting..."
+  exit 1
+else
+  log_info "Using pip: ${use_pip}"
+fi
+
 # zc.recipe.egg needs some special installation instructions
 if [ "${CI_PROJECT_NAME}" == "bob.buildout" ]; then
   run_cmd ${use_pip} install --no-binary ":all:" zc.recipe.egg
-- 
GitLab